/*
  PIM for Quagga
  Copyright (C) 2008  Everton da Silva Marques

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING; if not, write to the
  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
  MA 02110-1301 USA
  
  $Id$
*/

#if 0

#ifndef PIM_PIM_H
#define PIM_PIM_H

#include <zebra.h>

#include "if.h"
#include "linklist.h"

#include <netinet/in.h>

struct pim_sock {
  int               fd;
  struct interface *interface;
  struct in_addr    ifaddr;
  time_t            sock_creation;
  struct thread    *t_sock_read;   /* thread for reading PIM socket */
};

void pim_sock_free(struct pim_sock *psock);
struct pim_sock *pim_sock_lookup_ifaddr(struct list *pim_sock_list,
					struct in_addr ifaddr);
void pim_sock_delete(struct pim_sock *psock);
struct pim_sock *pim_sock_add(struct list *pim_sock_list,
			      struct in_addr ifaddr,
			      struct interface *ifp);

#endif /* PIM_PIM_H */

#endif /* #if 0 */
